/***************************************************************************
* A(lchemist) Game, a game about taking elements from the surrounding and throwing to a your enemies.
* Copyright (C) 2012  Sven Stamm
* 
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
* 
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
* 
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
***************************************************************************/
package arakash.lpc.components;

import java.lang.ref.WeakReference;
import java.util.ArrayList;

//TODO this class could set the entries to null if they vanish, and they could still be lingering in the List as NullPointExc. Bombs 
public class ComponentManager {
	private static int curComponentId = 0;
	
	public static ArrayList<WeakReference<Component>> ComponentList = new ArrayList<WeakReference<Component>>();
	
	public static void registerNewComponent(Component c){
		curComponentId++;
		c.ID = curComponentId;
		ComponentList.add(new WeakReference<Component>(c));
	}
}
