/***************************************************************************
* A(lchemist) Game, a game about taking elements from the surrounding and throwing to a your enemies.
* Copyright (C) 2012  Sven Stamm
* 
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
* 
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
* 
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
***************************************************************************/

package arakash.lpc.base;

public class LPCAnimation {
	private SpriteSheetPlus 	spriteSheet;
	private int 			timeForOneAnim; 
	private boolean		hasStandingSprite;
	private boolean		norepeat;
	
	public LPCAnimation(SpriteSheetPlus spriteSheet, int timeForOneAnim,
			boolean hasStandingSprite) {
		super();
		this.spriteSheet = spriteSheet;
		this.timeForOneAnim = timeForOneAnim;
		this.hasStandingSprite = hasStandingSprite;
	}
	public SpriteSheetPlus getSpriteSheet() {
		return spriteSheet;
	}
	public void setSpriteSheet(SpriteSheetPlus spriteSheet) {
		this.spriteSheet = spriteSheet;
	}
	public int getTimeForOneAnim() {
		return timeForOneAnim;
	}
	public void setTimeForOneAnim(int timeForOneAnim) {
		this.timeForOneAnim = timeForOneAnim;
	}
	public boolean isHasStandingSprite() {
		return hasStandingSprite;
	}
	public void setHasStandingSprite(boolean hasStandingSprite) {
		this.hasStandingSprite = hasStandingSprite;
	}
	public boolean hasNorepeat() {
		return norepeat;
	}
	public void setNorepeat(boolean norepeat) {
		this.norepeat = norepeat;
	}
}
