/***************************************************************************
* A(lchemist) Game, a game about taking elements from the surrounding and throwing to a your enemies.
* Copyright (C) 2012  Sven Stamm
* 
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
* 
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
* 
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
***************************************************************************/
package arakash.lpc.network.server;

/**
 * a Class used to get as many updates in it as possible to prevent the server to update bombing the client
 * @author Sven Stamm
 */
public class BigUpdate {
	private Object[] updates;
	
	public BigUpdate(){
	}

	public Object[] getUpdates() {
		return updates;
	}

	public void setUpdates(Object[] updates) {
		this.updates = updates;
	}
}
