/***************************************************************************
* A(lchemist) Game, a game about taking elements from the surrounding and throwing to a your enemies.
* Copyright (C) 2012  Sven Stamm
* 
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
* 
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
* 
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
***************************************************************************/
package arakash.lpc.network.server;

import com.esotericsoftware.kryonet.Connection;

import arakash.lpc.entity.Entity;

public class PlayerClient{
	private Entity clientEntity;
	private String playerName;
	private Connection clientConnection;
	
	public PlayerClient(Entity clientEntity, Connection clientConnection, String playerName){
		this.clientConnection = clientConnection;
		this.clientEntity = clientEntity;
		this.playerName = playerName;
	}
	
	public Entity getClientEntity() {
		return clientEntity;
	}
	public void setClientNetworkEntity(Entity clientEntity) {
		this.clientEntity = clientEntity;
	}
	public Connection getClientConnection() {
		return clientConnection;
	}
	public void setClientConnection(Connection clientConnection) {
		this.clientConnection = clientConnection;
	}

	public String getPlayerName() {
		return playerName;
	}

	public void setPlayerName(String playerName) {
		this.playerName = playerName;
	}
}