/***************************************************************************
* A(lchemist) Game, a game about taking elements from the surrounding and throwing to a your enemies.
* Copyright (C) 2012  Sven Stamm
* 
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
* 
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
* 
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
***************************************************************************/
package arakash.lpc.network.server;

public class SoundUpdate {
	private String soundName;
	private boolean repeat;
	private boolean backgroundMusic;
	
	public SoundUpdate(){}
	
	public SoundUpdate(String soundName, boolean repeat) {
		this.soundName = soundName;
		this.repeat = repeat;
	}

	public String getSoundName() {
		return soundName;
	}

	public void setSoundName(String soundName) {
		this.soundName = soundName;
	}

	public boolean isRepeat() {
		return repeat;
	}

	public void setRepeat(boolean repeat) {
		this.repeat = repeat;
	}

	public boolean isBackgroundMusic() {
		return backgroundMusic;
	}

	public void setBackgroundMusic(boolean backgroundMusic) {
		this.backgroundMusic = backgroundMusic;
	}
}
